DARKTABLE(1)

NAME
darktable - a digital photography workflow application

SYNOPSIS
    darktable [options] [IMG_1234.{RAW,...}|image_folder/]

Options:

    -d {all,cache,camctl,control,dev,fswatch,
        input,lighttable,masks,memory,nan,opencl,
        perf,pwstorage,sql}
    --disable-opencl
    --library <library file>
    --datadir <data directory>
    --moduledir <module directory>
    --tmpdir <tmp directory>
    --configdir <user config directory>
    --cachedir <user cache directory>
    --localedir <locale directory>
    --conf <key>=<value>
    --help
    --version

DESCRIPTION
darktable is a digital photography workflow application for Linux and Mac OS X in the lines of Adobe Lightroom and Apple Aperture.

The application is designed to ease editing and consistent processing of large photo sessions and provides a easy to use digital light-table and a set of sophisticated post-processing tools.

Most processing is done in 32-bit floating point per channel mode in device independent CIE L*a*b* color space. darktable is also fully color managed, which gives you full control over the look of the photos.

The application relies on a modern plug-in architecture thus making it easy for 3rd party developers to extend the existing capabilities of the application. All light-table and darkroom features are implemented as plug-ins, so you can create your plug-ins reusing existing code.

COMMAND LINE ARGUMENTS

IMG_1234.RAW or image_folder/
    You may optionally supply the filename of an image or the name of a folder containing image files. If a filename is given darktable starts in darkroom view with that file opened. If a folder is given darktable starts in lighttable view with the content of that folder as the current collection.

-d <debugoption>
    This option enables debug output to the terminal. There are several subsystems of darktable and debugging of each of them can be activated separately. You can use this option multiple times if you want debugging output of more than one subsystem.

    A few of those debugoptions are:

    control
        Enable job queue debugging. If you redirect darktable's output to control.log and call ./tools/create_control_svg.sh control.log, you will get a nice control.svg with a visualization of the threads' work.

    cache
        This will give you a lot of debugging info about the mipmap cache for light table mode. If compiled in debug mode, this will also tell you where in the code a certain buffer has last been locked.

    perf
        Use this for performance tweaking your darkroom modules. It will rdtsc-measure the runtimes of all plugins and print them to stdout.

    all Enable all debugging output.

--disable-opencl
    Prevent darktable from initializing the OpenCL subsystem. Use this option in case darktable crashes at startup due to a defective OpenCL implementation.

--library <library file>
    darktable keeps image information in an sqlite database for fast access. The default location of that database file is "$HOME/.config/darktable/library.db". You may give an alternative location, e.g. if you want to do some experiments without compromising your original library.db. If the database file does not exist, darktable creates it for you. You may also give ":memory:" as a library file in which case the database is kept in system memory - all changes are discarded when darktable terminates.

--datadir <data directory>
    This option defines the directory where darktable finds its runtime data. The default place depends on your installation. Typical places are "/opt/darktable/share/darktable/" and "/usr/share/darktable/".

--moduledir <module directory>
    darktable has a modular structure and organizes its modules as shared libraries for loading at runtime. With this option you tell darktable where to look for its shared libraries. The default place depends on your installation; typical places are "/opt/darktable/lib64/darktable/" and "/usr/lib64/darktable/".

--tmpdir <tmp directory>
    The place where darktable stores its temporary files. If this option is not supplied darktable uses the system default.

--configdir <config directory>
    This option defines the directory where darktable stores the user specific configuration. The default place is "$HOME/.config/darktable/".

--cachedir <cache directory>
    darktable keeps a cache of image thumbnails for fast image preview and of precompiled OpenCL binaries for fast startup. By default the cache is located in "$HOME/.cache/darktable/". There may exist multiple thumbnail caches in parallel - one for each library file.

--localedir <locale directory>
    The place where darktable finds its language specific text strings. The default place depends on your installation. Typical places are "/opt/darktable/share/locale/" and "/usr/share/locale/".

--conf <key>=<value>
    darktable supports a rich set of configuration parameters which the user defines in "darktablerc" - darktable's configuration file in the user config directory. You may temporarily overwrite individual settings on the command line with this option - however, these settings will not be stored in "darktablerc".

DEFAULT KEYBINDINGS
All modes

l   Switch to lightroom view

d   Switch to darkroom view

t   Switch to tethered capture view

m   Switch to map view

F7  Decrease contrast

F8  Increase contrast

F9  Decrease brightness

F10 Increase brightness

Esc Leave fullscreen mode

<Primary>q
    Quit

period
    Switch between lighttable and darkroom views

F11 Switch between fullscreen and normal modes of the application's window

<Primary>h
    Show/hide header

Tab Show/hide sidebars

Lighttable mode

g, <shift>g
    Navigate to top, bottom row

PageUp, PageDown
    Navigate one page up, down

'   Scroll center

Down, Left, Right, Up
    Scroll down, left, right, up

z   Preview image

F1, F2, F3, F4, F5
    Color labels: toggle red, yellow, green, blue and purple

1, 2, 3, 4, 5
    Star rating

0   Strip all stars

r   Mark as rejected

l   Realign images to the grid

alt-1
    Zoom in on first visible image

alt-2, 3
    Adjust zoom

alt-4
    Zoom out completely

<Primary>a
    Select all images

<Primary><Shift>a
    Select no images

<Primary>i
    Invert selection

<Primary>g, <Primary><Shift>g
    Group/ungroup selected images

Delete
    Remove image from collection

<Primary>c, <Primary><Shift>c
    Copy all, selected history

<Primary>v, <Primary><Shift>v
    Paste all, selected history

Darkroom mode

alt-1, 2, 3
    Zoom to 1:1, fill, and fit, respectively

ctrl-f
    show/hide film strip

Space, Backspace
    Step to next, previous image

<Primary>e
    Export current image

o   Toggle show of over- and under-exposure

<Primary>c, <Primary><Shift>c
    Copy all, selected history

<Primary>v, <Primary><Shift>v
    Paste all, selected history

g   Toggle gamut check

s   Toggle softproofing

Enter
    In Crop & Rotate module, commit the crop

[, ]
    In Flip module, rotate 90 degrees ccw, cw

Tethered mode

<Primary>f
    Show/hide film strip

v   Toggle live view

Map mode

<Primary>f
    Show/hide film strip

<Primary>z
    Undo

<Primary>r
    Redo

Film strip (when the cursor is on top of the film strip)

F1, F2, F3, F4, F5
    Color labels: toggle red, yellow, green, blue and purple

1, 2, 3, 4, 5
    Star rating

0   Strip all stars

r   Mark as rejected

<Primary>d
    Duplicate image

<Primary>c, <Primary><Shift>c
    Copy all, selected history

<Primary>v, <Primary><Shift>v
    Paste all, selected history

SEE ALSO
darktable-cli(1)

OTHER INFO
Please visit darktable's website for news, bug tracker and forum: <http://www.darktable.org/>

RELATED

darktable-viewer screensaver version of darktable. Shows the last active collection in full screen as a slideshow.

REPORTING BUGS
Please use the bug tracker on <http://www.darktable.org/redmine/projects/darktable/issues/> to report bugs, feature requests and so on.

AUTHORS
The principal developer of darktable is Johannes Hanika. The (hopefully) complete list of contributors to the project is:

* developers: Henrik Andersson, Johannes Hanika, Tobias Ellinghaus, Ulrich Pegelow. * ubuntu packaging, color management, video tutorials: Pascal de Bruijn. * opencl pipeline, usermanual: Ulrich Pegelow. * networking, battle testing, translation expert: Alexandre Prokoudine. * translation: a3novy, Alexandre Prokoudine, Anocha Yimsiriwattana, Artur de Sousa Rocha, Daniele Giorgis, Dimitrios Psychogios, Ger Siemerink, Guilherme Brondani Torri, Henrik Andersson, José Carlos Casimiro, Josep Puigdemont, María Leandro, Mauro Bartoccelli, Michał Prędotka, Mikko Ruohola, Milan Knížek, Olivier Tribout, Pascal Obry, Richard Levitte, Roberto Quintero, Sebastien Delcoigne, Thomas Costis, Thomas Pryds, Tobias Ellinghaus, Victor Lamoine. * contributors: Aldric Renaudin, Alexandre Prokoudine, Alexey Dokuchaev, Ammon Riley, Anton Keks, Antony Dovgal, Ari Makela, Benjamin Cahill, Brian Teague, Bruce Guenter, Cherrot Luo, Chris Mason, Christian Tellefsen, David Morel, Denis Cheremisov, Dennis Gnad, Diego Segura, Dimitrios Psychogios, Eckhart Pedersen, Edouard Gomez, Edward Herr, František Šidák, Gaspard Jankowiak, Ger Siemerink, Gianluigi Calcaterra, Guilherme Brondani Torri, Ivan Tarozzi, James C. McPherson, Jan Kundrát, Jean-Sébastien Pédron, Jérémy Rosen, Jesper Pedersen, Joao Trindade, Jon Leighton, Jose Carlos Garcia Sogo, Josef Wells, Julian J. M, Mattias Eriksson, Michal Babej, Michał Prędotka, Moritz Lipp, Olivier Tribout, Pascal de Bruijn, Pascal Obry, parafin, Petr Styblo, Pierre Le Magourou, Richard Levitte, Richard Tollerton, Robert Bieber, Roland Riegel, Roman Lebedev, Rostyslav Pidgornyi, Sergey Pavlov, Simon Harhues, Simon Spannagel, Stuart Henderson, Terry Jeffress, Tim Harder, Togan Muftuoglu, Tom Vanderpoel, Ulrich Pegelow, Wolfgang Goetz, Wolfgang Kuehnel, Yari Adan, hal, jan, maigl, tuxuser. And all those of you that made previous releases possible.

This man page was written by Alexandre Prokoudine <alexandre.prokoudine@gmail.com> and Richard Levitte <richard@levittr.org>.

HISTORY
The project was started by Johannes Hanika in early 2009 to fill the gap (or, rather, a black hole) of a digital photography workflow tool on Linux.

COPYRIGHT AND LICENSE
Copyright (C) 2009-2013 by Authors.

darktable is free software; you can redistribute it and/or modify it under the terms of the GPL v3 or (at your option) any later version.